com.io7m.r2.filters

## Interface R2ShaderFilterBilateralBlurDepthAwareParametersType

- All Known Implementing Classes:
    R2ShaderFilterBilateralBlurDepthAwareParameters

      public interface R2ShaderFilterBilateralBlurDepthAwareParametersType

  The type of parameters for bilateral depth-aware blur shaders.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `blurFalloff()`
    `float` | `blurOutputInverseHeight()`
    `float` | `blurOutputInverseWidth()`
    `default float` | `blurRadius()`
    `default float` | `blurSharpness()`
    `float` | `depthCoefficient()`
    `R2Texture2DUsableType` | `depthTexture()`
    `R2Texture2DUsableType` | `imageTexture()`
    `R2MatricesObserverValuesType` | `viewMatrices()`

- - ### Method Detail

    - #### viewMatrices

          R2MatricesObserverValuesType viewMatrices()

      Returns:
        The matrices that were used to produce the scene being blurred

    - #### imageTexture

          R2Texture2DUsableType imageTexture()

      Returns:
        The image texture that will be blurred

    - #### depthTexture

          R2Texture2DUsableType depthTexture()

      Returns:
        The depth texture that will be sampled to determine the contribution of each corresponding pixel in the image texture

    - #### depthCoefficient

          float depthCoefficient()

      Returns:
        The depth coefficient used to produce the scene

    - #### blurFalloff

          float blurFalloff()

      Returns:
        The blur falloff

    - #### blurRadius

          default float blurRadius()

      Returns:
        The radius of the blur effect in texels

    - #### blurSharpness

          default float blurSharpness()

      Returns:
        The blur sharpness

    - #### blurOutputInverseWidth

          float blurOutputInverseWidth()

      Returns:
        The inverse width of the output image: (1 / width)

    - #### blurOutputInverseHeight

          float blurOutputInverseHeight()

      Returns:
        The inverse height of the output image: (1 / height)

Copyright © 2016 <code@io7m.com> http://io7m.com